<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author javier.aponte
@version 1.0
@description Formulario usado la pestaña de inscripciones y decretos para realizar
el cálculo de avalúos en forma manual   
@cu CU-SA-AC-177

-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html" 
        id="calculoAvaluosEnFormaManualForm"
        xmlns:p="http://primefaces.org/ui" >

    <p:panel>
        <h:panelGrid columns="1" >
            <p:messages id="msgsCalculoManual" />

            <h:panelGrid columns="2">
                <h:outputText
                    value="Cálcular en forma retroactiva:"/>

                <h:selectOneRadio
                    label="Cálcular en forma retroactiva"
                    value="#{proyectarConservacion.calculoAvaluoEnFormaRetroactiva}" >
                    <f:selectItems value="#{general.siNo}" />
                    <p:ajax listener="#{proyectarConservacion.calcularAvaluoEnFormaRetroactiva}"
                            update="calculoAvaluosEnFormaManualForm"/>
                </h:selectOneRadio>
            </h:panelGrid>

            <p:panel id="calculoPorRangoAniosPanel" 
                     rendered="#{proyectarConservacion.mostrarCalculoAvaluoPorRangoDeAnios}">
                <h:panelGrid columns="2">
                    <h:outputText
                        value="Cálcular por rango de años:"/>		
                    <h:selectBooleanCheckbox id="riegoF"
                                             value="#{proyectarConservacion.calculoAvaluoPorRangoDeAnios}" >
                        <p:ajax update="calculoAvaluosEnFormaManualForm"
                                listener="#{proyectarConservacion.cargarDatosCalcularAvaluoPorRangoDeAnios}"/>	
                    </h:selectBooleanCheckbox>
                </h:panelGrid>

                <h:panelGrid columns="4" rendered="#{proyectarConservacion.calculoAvaluoPorRangoDeAnios}">

                    <h:outputText value="Desde año:"/>		

                    <h:selectOneMenu label="Desde año" required="true" requiredMessage="Se debe seleccionar un valor de: Desde año"
                                     value="#{proyectarConservacion.anioInicialCalculoAvaluoPorRango}" >
                        <f:selectItems value="#{proyectarConservacion.aniosCalculoAvaluoPorRango}" />		                
                    </h:selectOneMenu>		

                    <h:outputText value="Hasta año:"/>

                    <h:selectOneMenu label="Hasta año" required="true" requiredMessage="Se debe seleccionar un valor de: Hasta año"
                                     value="#{proyectarConservacion.anioFinalCalculoAvaluoPorRango}" >
                        <f:selectItems value="#{proyectarConservacion.aniosCalculoAvaluoPorRango}" />		                
                    </h:selectOneMenu>

                </h:panelGrid>

                <p:commandButton value="Calcular" action="#{proyectarConservacion.calcularAvaluoPorRangoDeAnios}"
                                 disabled="#{!proyectarConservacion.activarCalcularAvaluoPorRangoDeAnios}"
                                 update="calculoAvaluosEnFormaManualForm"/>

            </p:panel>

            <h:panelGrid id="calculoPorAnioPanel" 
                         rendered="#{proyectarConservacion.mostrarCalculoAvaluoPorAnio}">
                <h:panelGrid columns="2">
                    <h:outputText
                        value="Año a calcular:"/>
                    <h:selectOneMenu label="Año a calcular:" required="true" requiredMessage="Se debe seleccionar un valor de: Año a calcular"
                                     value="#{proyectarConservacion.anioCalculoAvaluo}" >
                        <f:selectItems value="#{proyectarConservacion.aniosCalculoAvaluoPorRango}" />		                
                    </h:selectOneMenu>		

                    <h:outputText
                        value="Valor avalúo"/>
                    <h:inputText label="Valor avalúo" required="true" value="#{proyectarConservacion.valorAvaluoCalculoAvaluo}">
                        <f:convertNumber type="number" />
                    </h:inputText>


                </h:panelGrid>

                <p:spacer width="0" height="10"/>

                <p:commandButton value="Aceptar" action="#{proyectarConservacion.calcularAvaluoPorAnio}"
                                 update="calculoAvaluosEnFormaManualForm"/>

            </h:panelGrid>	

            <p:dataTable id="tablaInscripcionesYDecretos" var="avaluoCatastral"
                         value="#{proyectarConservacion.prediosAvaluoDecretoCalculoManual}"
                         sortOrder="#{proyectarConservacion.pPrediosAvaluosCatastrales.vigencia}"
                         style="width:500px;" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                         rendered="#{proyectarConservacion.mostrarTablaInscripcionesYDecretos}"
                         emptyMessage="No existen avalúos catastrales a mostrar">

                <f:facet name="header">
                    Proyección de Inscripción / Decretos
                </f:facet>

                <p:column headerText="Decreto número">
                    <h:outputText value="#{avaluoCatastral.decretoNumero}" styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Fecha del decreto">
                    <h:outputText value="#{avaluoCatastral.decretoFecha}" styleClass="outputTextStyle" >
                        <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor">
                    <div style="text-align: right">
                        <h:outputText value="#{avaluoCatastral.valorTotalAvaluoCatastral}"
                                      styleClass="outputTextStyle">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </div>
                </p:column>

                <p:column headerText="Vigencia" sortBy="#{avaluoCatastral.vigencia}">
                    <h:outputText value="#{avaluoCatastral.vigencia}"
                                  styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}"
                                           locale="es_CO" timeZone="GMT-5" />
                    </h:outputText>
                </p:column>

            </p:dataTable>

            <p:panel rendered="#{proyectarConservacion.mostrarTablaInscripcionesYDecretos}">
                <h:panelGrid columns="2">
                    <p:commandButton value= "Guardar" icon="ui-icon-disk"
                                     update=":tabView1:GestionarInscripcionesDecretos" 
                                     action="#{proyectarConservacion.guardarCalculoAvaluoManual}"
                                     oncomplete="calculoAvaluosFormaManualWV.hide();"/>
                    <p:commandButton value= "Cancelar" icon="ui-icon-close"
                                     action="#{proyectarConservacion.cancelarCalculoAvaluoManual}"
                                     oncomplete="calculoAvaluosFormaManualWV.hide();"/>
                </h:panelGrid>
            </p:panel>

        </h:panelGrid>
    </p:panel>
</h:form>

